cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/action_scripts" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"action_script": {
"name": "notify-account-manager",
"description": "Notifies the account manager."
}
}'from exsited import build_client
client = build_client()
response = client.action_scripts.create_action_script(
{
"action_script": {
"name": "notify-account-manager",
"description": "Notifies the account manager.",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.actionScripts.createActionScript({
action_script: {name: 'notify-account-manager', description: 'Notifies the account manager.'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->actionScripts->createActionScript([
'action_script' => [
'name' => 'notify-account-manager',
'description' => 'Notifies the account manager.',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.action_scripts.action_scripts_dto.ActionScriptsDto.ActionScript;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ActionScript> response = client.actionScripts().createActionScript(
Map.of(
"action_script", Map.of(
"name", "notify-account-manager",
"description", "Notifies the account manager.")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ActionScripts.CreateActionScriptAsync(new Dictionary<string, object?>
{
["action_script"] = new Dictionary<string, object?>
{
["name"] = "notify-account-manager",
["description"] = "Notifies the account manager.",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.actionScripts.createActionScript({
'action_script': {
'name': 'notify-account-manager',
'description': 'Notifies the account manager.',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ActionScripts().CreateActionScript(context.Background(), map[string]any{
"action_script": map[string]any{
"name": "notify-account-manager",
"description": "Notifies the account manager.",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"action_script": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"object_name": "<unknown>",
"action_name": "<unknown>",
"created_on": "<string>",
"last_updated_on": "<unknown>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_by": {
"object": "<string>",
"name": "<string>"
},
"href": "<string>",
"activity_logs": [
{}
]
}
}Action scripts
Create an action script
Stores an action script and returns it.
POST
/
action_scripts
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/action_scripts" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"action_script": {
"name": "notify-account-manager",
"description": "Notifies the account manager."
}
}'from exsited import build_client
client = build_client()
response = client.action_scripts.create_action_script(
{
"action_script": {
"name": "notify-account-manager",
"description": "Notifies the account manager.",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.actionScripts.createActionScript({
action_script: {name: 'notify-account-manager', description: 'Notifies the account manager.'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->actionScripts->createActionScript([
'action_script' => [
'name' => 'notify-account-manager',
'description' => 'Notifies the account manager.',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.action_scripts.action_scripts_dto.ActionScriptsDto.ActionScript;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ActionScript> response = client.actionScripts().createActionScript(
Map.of(
"action_script", Map.of(
"name", "notify-account-manager",
"description", "Notifies the account manager.")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ActionScripts.CreateActionScriptAsync(new Dictionary<string, object?>
{
["action_script"] = new Dictionary<string, object?>
{
["name"] = "notify-account-manager",
["description"] = "Notifies the account manager.",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.actionScripts.createActionScript({
'action_script': {
'name': 'notify-account-manager',
'description': 'Notifies the account manager.',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ActionScripts().CreateActionScript(context.Background(), map[string]any{
"action_script": map[string]any{
"name": "notify-account-manager",
"description": "Notifies the account manager.",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"action_script": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"object_name": "<unknown>",
"action_name": "<unknown>",
"created_on": "<string>",
"last_updated_on": "<unknown>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_by": {
"object": "<string>",
"name": "<string>"
},
"href": "<string>",
"activity_logs": [
{}
]
}
}Send the script wrapped in
action_script. name is required and must be unique. To include code, send a .js file as script_file, with its contents base64 encoded in content. If you leave out display_name, it defaults to name.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new action script, under action_script.
Show child attributes
Show child attributes